#   Copyright 2011 Red Hat, Inc.                                                        
#                                                                                       
#   Licensed under the Apache License, Version 2.0 (the "License");                     
#   you may not use this file except in compliance with the License.                    
#   You may obtain a copy of the License at                                             
#                                                                                       
#       http://www.apache.org/licenses/LICENSE-2.0                                      
#                                                                                       
#   Unless required by applicable law or agreed to in writing, software                 
#   distributed under the License is distributed on an "AS IS" BASIS,                   
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.            
#   See the License for the specific language governing permissions and                 
#   limitations under the License.                                                      

# Read oauth values from /etc/aeolus-conductor/oauth.json and create facts
# for them. The file is generated by aeolus-conductor rpm.

require 'rubygems'
require 'json'

file = File.open("/etc/aeolus-conductor/oauth.json", 'r') or raise "Could not open file\
"
contents = file.read
oauthconfig = JSON.parse(contents)

Facter.add("imagefactory_oauth_user") do
  setcode do
    oauthconfig['factory']['consumer_key']
  end
end

Facter.add("imagefactory_oauth_password") do
  setcode do
    oauthconfig['factory']['consumer_secret']
  end
end

Facter.add("iwhd_oauth_user") do
  setcode do
    oauthconfig['iwhd']['consumer_key']
  end
end

Facter.add("iwhd_oauth_password") do
  setcode do
    oauthconfig['iwhd']['consumer_secret']
  end
end
